aviobj = avifile('dsquare6.avi','fps',6) ;
frame = 1;

v = [ 1 1
      3 1
      3 3
      1 3 ]

f = [ 1 2 3 4 ];

axis([0 20 0 20 ]);

patch('Vertices',v,'Faces',f);

aviobj = addframe(aviobj,getframe);
frame = frame + 1;
clf;

% scaling    
new_v_scale = v;
for i=1:.2:8
    text(1,35,'SCALING');
sc = [ 1.1  0
        0  1.1 ]
new_v_scale = new_v_scale*sc
axis([0 40 0 40 ])
patch('Vertices',new_v_scale,'Faces',f)
aviobj = addframe(aviobj,getframe);
frame = frame + 1;
clf;
end

%orignal
for k= 1 : 9
v = [ 1 1 
      1 3 
      3 3 
      3 1  ]

f = [ 1 2 3 4 ];
vw = [1 1 1 1]'
axis([0 20 0 20 ]);

patch('Vertices',v,'Faces',f);

aviobj = addframe(aviobj,getframe);
frame = frame + 1;
clf;
end

% translation x-axis
v = [v vw ]'
new_trans = v
for i = 1:.1:3
  j = 0
     text(12,12,'Translation along X-axis');      
t = [ 1 0 i 
      0 1 j 
      0 0 1  ]
 
new_trans =  t * new_trans 
new_trans = new_trans'
new_v_trans = new_trans(:,1:2)

axis([0 20 0 20]);

patch('Vertices',new_v_trans,'Faces',f)
aviobj = addframe(aviobj,getframe);
frame = frame + 1;
clf;
new_trans = new_trans'

end

%orignal
for k= 1 : 9
v = [ 1 1 
      1 3 
      3 3 
      3 1  ]

f = [ 1 2 3 4 ];
vw = [1 1 1 1]'
axis([0 20 0 20 ]);

patch('Vertices',v,'Faces',f);

aviobj = addframe(aviobj,getframe);
frame = frame + 1;
clf;
end

% translation y-axis
v = [v vw ]'
new_trans = v
for i = 1:.1:3
  j = 0
       text(12,12,'Translation along y-axis');    
t = [ 1 0 j 
      0 1 i 
      0 0 1  ]
 
new_trans =  t * new_trans 
new_trans = new_trans'
new_v_trans = new_trans(:,1:2)

axis([0 20 0 20]);

patch('Vertices',new_v_trans,'Faces',f)
aviobj = addframe(aviobj,getframe);
frame = frame + 1;
clf;
new_trans = new_trans'

end

%orignal
for k= 1 : 9
v = [ 5 5 
      8 5 
      8 8 
      5 8  ]

f = [ 1 2 3 4 ];
vw = [1 1 1 1]'
axis([0 20 0 20 ]);

patch('Vertices',v,'Faces',f);

aviobj = addframe(aviobj,getframe);
frame = frame + 1;
clf;
end

%rotation
v = [v vw ]'
new_rot = v

for i = 0:pi/10: 8*pi
   text(12,12,'Rotation');        
rt = [   1      0       0    
         0   cos(i)  sin(i)
         0   sin(i)  cos(i)  ]
 
new_rot =  rt * new_rot 
new_rot = new_rot'
new_v_rot = new_rot(:,1:2)

axis([0 20 0 20]);

patch('Vertices',new_v_rot,'Faces',f)
aviobj = addframe(aviobj,getframe);
frame = frame + 1;
clf;
new_rot = new_rot'

end


aviobj = close(aviobj);


 

      
      